property whichevent

on initGotoNextMarker me
  init(me)
end

on mouseUp me
  if whichevent = #mouseUp then
    init(me)
  end if
end

on prepareFrame me
  if whichevent = #prepareFrame then
    init(me)
  end if
end

on exitFrame me
  if whichevent = #exitFrame then
    init(me)
  end if
end

on init me
  go(marker(1))
end

on getPropertyDescriptionList
  p_list = [#whichevent: [#comment: "Initializing Event:", #format: #symbol, #range: [#mouseUp, #prepareFrame, #exitFrame, #initGotoNextMarker], #default: #mouseUp]]
  return p_list
end

on getBehaviorDescription
  return "Moves the Playback Head to the next marker when the specified event occurs.  Drag to a sprite or a frame in the script channel." && RETURN & "PARAMETERS:" && RETURN & "• Initializing Event - Specify the event that triggers the behavior."
end
